SessionSession_idTask
Get tasks from session
Get tasks from session with cursor-based pagination
Authorization
BearerAuth Authorization<token>
Project Bearer token (e.g., "Bearer sk-ac-xxxx")
In: header
Path Parameters
session_id*string
Session ID
Format
uuidQuery Parameters
limit?integer
Limit of tasks to return, default 20. Max 200.
cursor?string
Cursor for pagination. Use the cursor from the previous response to get the next page.
time_desc?boolean
Order by created_at descending if true, ascending if false (default false)
Response Body
application/json
curl -X GET "https://loading/api/v1/session/497f6eca-6276-4993-bfeb-53cbbbba6f08/task"{
"code": 0,
"error": "string",
"msg": "string",
"data": {
"has_more": true,
"items": [
{
"created_at": "string",
"data": {
"progresses": [
"string"
],
"task_description": "string",
"user_preferences": [
"string"
]
},
"id": "string",
"is_planning": true,
"order": 0,
"project_id": "string",
"session_id": "string",
"status": "string",
"updated_at": "string"
}
],
"next_cursor": "string"
}
}